package com.ruansee.macall.testwebview.app;

import com.rs.macall.androidx.basemodel.base.BaseApplication;
import com.ruansee.macall.testwebview.utils.FileUtils;

/**
 * created by:   Macall
 * create time:  2023/12/7 9:19
 * copyright:    @ruansee.com
 * Describe:
 */
public class RuanseeApp extends BaseApplication {
    public static boolean isPrintLog = false;
    private static AppCacheData appCacheData;
    {
        CACHE_FILE_NAME = "H5WebViewTestTool";
    }

    @Override
    protected void init() {
        appCacheData = AppCacheData.getCacheData();
        FileUtils.initFilePath(getApplication());
        CrashHandler.getInstance().init(getApplication(),FileUtils.LOG_DIR);

    }

    public static AppCacheData getAppCacheData() {
        return appCacheData;
    }
}
